Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 915824 - Removal of dev-python/notebook & dev-python/jupyterlab old revdeps
Summary: Removal of dev-python/notebook & dev-python/jupyterlab old revdeps
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2023-11-14
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: 893582 894172 911130 911135
  Show dependency tree
 
Reported: 2023-10-15 16:03 UTC by Michał Górny
Modified: 2023-12-15 19:40 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2023-10-15 16:03:40 UTC
These packages were required by old version of dev-python/jupyterlab and dev-python/notebook, and are no longer used.

dev-python/check-manifest
dev-python/jupyter-server-fileid
dev-python/jupyter-server-ydoc
dev-python/jupyter-ydoc
dev-python/nbclassic
dev-python/y-py
dev-python/ypy-websocket
Comment 1 Larry the Git Cow gentoo-dev 2023-10-15 16:05:03 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c49c810f726c5ea3a9fa55473fce9ee63be691f7

commit c49c810f726c5ea3a9fa55473fce9ee63be691f7
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2023-10-15 16:03:59 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2023-10-15 16:04:59 +0000

    package.mask: Last rite old dev-python/{jupyterlab,notebook} revdeps
    
    Bug: https://bugs.gentoo.org/915824
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 profiles/package.mask | 12 ++++++++++++
 1 file changed, 12 insertions(+)
Comment 2 Larry the Git Cow gentoo-dev 2023-12-15 19:40:07 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5a93124f58c7e3468ed2b6c29d3cc159fb07eed2

commit 5a93124f58c7e3468ed2b6c29d3cc159fb07eed2
Author:     Arthur Zamarin <arthurzam@gentoo.org>
AuthorDate: 2023-12-15 19:39:18 +0000
Commit:     Arthur Zamarin <arthurzam@gentoo.org>
CommitDate: 2023-12-15 19:39:18 +0000

    dev-python/jupyter-server-fileid: treeclean
    
    Closes: https://bugs.gentoo.org/915824
    Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>

 dev-python/jupyter-server-fileid/Manifest          |  1 -
 .../jupyter-server-fileid-0.9.0.ebuild             | 45 ----------------------
 dev-python/jupyter-server-fileid/metadata.xml      | 13 -------
 profiles/package.mask                              |  6 ---
 profiles/updates/1Q-2023                           |  1 -
 5 files changed, 66 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=312f615d78260b6196e1498a6592313210d06679

commit 312f615d78260b6196e1498a6592313210d06679
Author:     Arthur Zamarin <arthurzam@gentoo.org>
AuthorDate: 2023-12-15 19:35:59 +0000
Commit:     Arthur Zamarin <arthurzam@gentoo.org>
CommitDate: 2023-12-15 19:35:59 +0000

    dev-python/jupyter-ydoc: treeclean
    
    Closes: https://bugs.gentoo.org/915824
    Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>

 dev-python/jupyter-ydoc/Manifest                   |  1 -
 .../jupyter-ydoc-1.0.2-no-node-for-version.patch   | 30 -------------
 dev-python/jupyter-ydoc/jupyter-ydoc-1.0.2.ebuild  | 49 ----------------------
 dev-python/jupyter-ydoc/metadata.xml               | 13 ------
 profiles/package.mask                              |  1 -
 profiles/updates/2Q-2023                           |  1 -
 6 files changed, 95 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d2f6137c8f89af4c7138bff01f8caaafc9775103

commit d2f6137c8f89af4c7138bff01f8caaafc9775103
Author:     Arthur Zamarin <arthurzam@gentoo.org>
AuthorDate: 2023-12-15 19:33:04 +0000
Commit:     Arthur Zamarin <arthurzam@gentoo.org>
CommitDate: 2023-12-15 19:33:04 +0000

    dev-python/jupyter-server-ydoc: treeclean
    
    Closes: https://bugs.gentoo.org/915824
    Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>

 dev-python/jupyter-server-ydoc/Manifest            |  1 -
 .../jupyter-server-ydoc-0.8.0.ebuild               | 41 ----------------------
 dev-python/jupyter-server-ydoc/metadata.xml        | 13 -------
 profiles/package.mask                              |  1 -
 profiles/updates/1Q-2023                           |  1 -
 5 files changed, 57 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a41bbcc9d745376ad939938ceac01e1dcf105e98

commit a41bbcc9d745376ad939938ceac01e1dcf105e98
Author:     Arthur Zamarin <arthurzam@gentoo.org>
AuthorDate: 2023-12-15 19:32:16 +0000
Commit:     Arthur Zamarin <arthurzam@gentoo.org>
CommitDate: 2023-12-15 19:32:16 +0000

    dev-python/check-manifest: treeclean
    
    Closes: https://bugs.gentoo.org/915824
    Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>

 dev-python/check-manifest/Manifest                 |  1 -
 .../check-manifest/check-manifest-0.49.ebuild      | 42 ----------------------
 dev-python/check-manifest/metadata.xml             | 15 --------
 profiles/package.mask                              |  1 -
 4 files changed, 59 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cc22e4d19f490b3d42d8249e3dcb4123f77044b5

commit cc22e4d19f490b3d42d8249e3dcb4123f77044b5
Author:     Arthur Zamarin <arthurzam@gentoo.org>
AuthorDate: 2023-12-15 19:30:59 +0000
Commit:     Arthur Zamarin <arthurzam@gentoo.org>
CommitDate: 2023-12-15 19:30:59 +0000

    dev-python/y-py: treeclean
    
    Closes: https://bugs.gentoo.org/915824
    Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>

 dev-python/y-py/Manifest          |  91 ----------------------------------
 dev-python/y-py/metadata.xml      |  12 -----
 dev-python/y-py/y-py-0.6.0.ebuild | 101 -------------------------------------
 dev-python/y-py/y-py-0.6.2.ebuild | 102 --------------------------------------
 profiles/package.mask             |   1 -
 5 files changed, 307 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=594fba2d6dd657a27d06a08de0d4cef57d35aa4e

commit 594fba2d6dd657a27d06a08de0d4cef57d35aa4e
Author:     Arthur Zamarin <arthurzam@gentoo.org>
AuthorDate: 2023-12-15 19:28:45 +0000
Commit:     Arthur Zamarin <arthurzam@gentoo.org>
CommitDate: 2023-12-15 19:28:45 +0000

    dev-python/ypy-websocket: treeclean
    
    Closes: https://bugs.gentoo.org/915824
    Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>

 dev-python/ypy-websocket/Manifest                  |  5 ---
 dev-python/ypy-websocket/metadata.xml              | 13 ------
 .../ypy-websocket/ypy-websocket-0.12.1.ebuild      | 46 ----------------------
 .../ypy-websocket/ypy-websocket-0.12.2.ebuild      | 46 ----------------------
 .../ypy-websocket/ypy-websocket-0.12.3.ebuild      | 46 ----------------------
 .../ypy-websocket/ypy-websocket-0.12.4.ebuild      | 46 ----------------------
 .../ypy-websocket/ypy-websocket-0.8.4.ebuild       | 43 --------------------
 profiles/package.mask                              |  1 -
 8 files changed, 246 deletions(-)